import { A as AssetInfo, I as ImageMeta, M as ModuleInfo } from '../types-tkbzNLZA.js';
import { ViteInspectAPI } from 'vite-plugin-inspect';

interface SetupAssetsOptions {
    root: string;
    base: string;
}
declare function setupAssetsRPC(config: SetupAssetsOptions): {
    getStaticAssets(): Promise<AssetInfo[]>;
    getImageMeta(filepath: string): Promise<ImageMeta | undefined>;
    getTextAssetContent(filepath: string, limit?: number | undefined): Promise<string | undefined>;
};

interface SetupGraphOptions {
    rpc: ViteInspectAPI['rpc'];
}
declare function setupGraphRPC(options: SetupGraphOptions): {
    getGraph(): Promise<ModuleInfo[]>;
};

export { type SetupGraphOptions, setupAssetsRPC, setupGraphRPC };
